## python-btrees 4.3.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BTrees.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BTrees.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BTrees"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BTrees"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-btrees (4.3.1-2) unstable; urgency=medium

  * Team upload.

  [ Julien Muchembled ]
  * python-btrees-doc: add the URL of the online documentation to the description
  * python3-btrees: add Suggests: python-btrees-doc (Closes: #849902)
  * Clean nosetests.xml

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.
  * Use Python 3 for building docs.
  * Drop Python 2 support.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Tue, 06 Aug 2019 15:46:03 +0200

python-btrees (4.3.1-1) unstable; urgency=low

  * Initial release (Closes: #842874).

 -- Julien Muchembled <jm@jmuchemb.eu>  Sun, 04 Dec 2016 00:05:31 +0100

=== debian/control ===
Source: python-btrees
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julien Muchembled <jm@jmuchemb.eu>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12), dh-python,
  python3-sphinx,
  python3-setuptools,
  python3-all-dev,
  python3-persistent,
  python3-repoze.sphinx.autointerface,
  python3-transaction,
Standards-Version: 4.4.0
Homepage: https://github.com/zopefoundation/BTrees
Vcs-Git: https://salsa.debian.org/python-team/modules/python-btrees.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-btrees

Package: python3-btrees
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-btrees-doc
Provides: ${python3:Provides}
Description: scalable persistent object containers for Python 3
 This package contains a set of persistent object containers built around a
 modified BTree data structure. The trees are optimized for use inside ZODB's
 “optimistic concurrency” paradigm, and include explicit resolution of
 conflicts detected by that mechanism.

Package: python-btrees-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: scalable persistent object containers for Python - documentation
 This package contains a set of persistent object containers built around a
 modified BTree data structure. The trees are optimized for use inside ZODB's
 “optimistic concurrency” paradigm, and include explicit resolution of
 conflicts detected by that mechanism.
 .
 This package contains the Python module documentation. Alternatively,
 there is an online version at https://btrees.readthedocs.io/

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

export DEB_BUILD_HARDENING=1

export PYBUILD_NAME=btrees

export PYBUILD_AFTER_INSTALL = cd {destdir}{install_dir}/BTrees && \
	rm -r *.c *.h *.txt tests nosetests.xml

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy=http://127.0.0.1:9/ python3 -m sphinx -qNE -b html docs build/html

## python-btrees 6.0

=== debian/changelog ===
python-btrees (6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.7.0 (no changes required).

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Jun 2024 08:40:57 +0100

python-btrees (4.3.1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 30 Nov 2022 01:08:39 +0000

python-btrees (4.3.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-btrees-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 11:25:49 +0100

python-btrees (4.3.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 4.3.1-2.
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2022 23:46:33 -0400

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

export DEB_BUILD_HARDENING=1

export PYBUILD_NAME=btrees

export PYBUILD_AFTER_INSTALL = cd {destdir}{install_dir}/BTrees && \
	rm -r *.c *.h tests

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=src http_proxy=http://127.0.0.1:9/ python3 -m sphinx -qNE -b html docs build/html

## python-btrees 6.1

=== docs/requirements.txt ===
Sphinx
repoze.sphinx.autointerface
docutils < 0.19
sphinx_rtd_theme > 1

=== debian/changelog ===
python-btrees (6.1-2build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:06:20 +0000

python-btrees (6.1-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 20:05:38 +0000

python-btrees (6.1-2) unstable; urgency=medium

  * Team upload.
  * Build with PURE_PYTHON=0 so that we get clearer error messages if
    python3-persistent hasn't been built for the relevant Python version
    (closes: #1082123).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Nov 2024 12:50:39 +0100

python-btrees (6.1-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: Accept lower-case btrees-*.tar.gz.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Oct 2024 17:12:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,23 @@
 Source: python-btrees
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julien Muchembled <jm@jmuchemb.eu>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
   python3-sphinx,
   python3-setuptools,
   python3-all-dev,
+  python3-docutils,
   python3-persistent,
   python3-repoze.sphinx.autointerface,
+  python3-sphinx-rtd-theme,
   python3-transaction,
-Standards-Version: 4.4.0
+  python3-zope.interface,
+  python3-zope.testrunner,
+Standards-Version: 4.7.0
 Homepage: https://github.com/zopefoundation/BTrees
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-btrees.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-btrees
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-btrees.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-btrees
 
 Package: python3-btrees
 Architecture: any
@@ -30,6 +34,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: scalable persistent object containers for Python - documentation
  This package contains a set of persistent object containers built around a
  modified BTree data structure. The trees are optimized for use inside ZODB's

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 export PYBUILD_AFTER_INSTALL = cd {destdir}{install_dir}/BTrees && \
 	rm -r *.c *.h tests
 
+export PURE_PYTHON=0
+
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
# please also check https://pypi.debian.net/BTrees/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/BTrees/(?i:BTrees)-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-btrees 6.3

=== debian/changelog ===
python-btrees (6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Nov 2025 17:41:23 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Uploaders: Julien Muchembled <jm@jmuchemb.eu>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13), dh-python,
+Build-Depends: debhelper-compat (= 13),
+  dh-sequence-python3,
+  dh-sequence-sphinxdoc,
+  furo,
+  pybuild-plugin-pyproject,
   python3-sphinx,
   python3-setuptools,
   python3-all-dev,
-  python3-docutils,
   python3-persistent,
   python3-repoze.sphinx.autointerface,
-  python3-sphinx-rtd-theme,
   python3-transaction,
   python3-zope.interface,
   python3-zope.testrunner,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export PURE_PYTHON=0
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
